Subject: Re: [MEXT] [Fwd: I-D Action:draft-ietf-monami6-multiplecoa-13.txt]

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 5 May 2009 11:59:34 -0700 (PDT)

Hi Ryuji,
  It seems that MCoA draft uses the H flag defined in the base spec. I don't think that is the right flag to use for the purpose of sending a non-deregistration BU at the home link. 

Regards,

Behcet

________________________________
From: Ryuji Wakikawa <[email-masked]>
To: Behcet Sarikaya <[email-masked]>
Cc: mext <[email-masked]>
Sent: Saturday, April 25, 2009 3:32:33 AM
Subject: Re: [MEXT] [Fwd: I-D Action:draft-ietf-monami6-multiplecoa-13.txt]

Hi Behcet,

On 2009/04/22, at 18:54, Behcet Sarikaya wrote:

> Hi Ryuji,
>  So you are going to define a C-Flag?

MCoA does not have such flag. What are you referring to?

regards,
ryuji

> I am OK with it. But I don't understand why the only right place is your draft. My idea is that the right place for such a thing is 3775bis as this would avoid people with drafts not related to MCoA having to refer to MCoA draft.
> 
> Regards,
> 
> Behcet
> 
> From: Ryuji Wakikawa <[email-masked]>
> To: Behcet Sarikaya <[email-masked]>
> Cc: mext <[email-masked]>
> Sent: Wednesday, April 22, 2009 5:02:09 PM
> Subject: Re: [MEXT] [Fwd: I-D Action:draft-ietf-monami6-multiplecoa-13.txt]
> 
> Hi Behcet,
> 
> On 2009/04/22, at 17:45, Behcet Sarikaya wrote:
> 
> > Hi Ryuji,
> >  I checked your draft. Again, I could not understand how you are sending a registration BU at the home link as only an O-flag is defined in your draft which is used for something else.
> 
> Please see section 5.6..3
> 
> >  As I mentioned to you, we discussed this related to draft-premec-homelink and it seems like HA will reject such a BU unless something is done, I thought you were familiar with the discussions as it relates to your draft too. I am surprised.
> 
> yes, I follow that discussion.
> RFC3775-bis should not include any additional features like sending BU from the home link.
> We should define this in MCoA. Only if needed, draft-homelink can refer to MCoA for this feature.
> 
> regards,
> ryuji
> 
> 
> 
> 
> 
> 
> >
> > Regards,
> >
> > Behcet
> >
> > From: Ryuji Wakikawa <ryuji.wakikawa@gmail..com>
> > To: Behcet Sarikaya <[email-masked]>
> > Cc: George Tsirtsis <[email-masked]>; mext <[email-masked]>
> > Sent: Wednesday, April 22, 2009 4:18:28 PM
> > Subject: Re: [MEXT] [Fwd: I-D Action:draft-ietf-monami6-multiplecoa-13.txt]
> >
> > Hi Behcet,
> >
> > On 2009/04/22, at 11:31, Behcet Sarikaya wrote:
> >
> > >
> > >
> > > From: George Tsirtsis <[email-masked]>
> > > To: Behcet Sarikaya <sarikaya@ieee..org>
> > > Cc: mext <[email-masked]>
> > > Sent: Wednesday, April 22, 2009 10:10:08 AM
> > > Subject: Re: [MEXT] [Fwd: I-D Action:draft-ietf-monami6-multiplecoa-13.txt]
> > >
> > > I do not think that adding home link registration to RFC3775bis is feasible.
> > > This requires logic in the MN and HA that is not directly compatible
> > > to RFC3775. The aim of RFC3775bis is to make minimal changes for
> > > clarification reasons and to correct errors. Home Link Registration as
> > > defined in MCoA is neither.
> > > [behcet] Why not? If it is needed in so many instances, that qualifies it to become a base protocol feature, at least to me.
> >
> > We cannot add a new feature to 3775. That is the ground rule of -bis. The chairs can clarify this.
> >
> > regards,
> > ryuji
> >
> >
> >
> > >
> > > On Wed, Apr 22, 2009 at 4:06 PM, Behcet Sarikaya
> > > <[email-masked]> wrote:
> > > > Hi George,
> > > >  It seems in my previous reply I replied to this mail of yours which was
> > > > unrelated to the other mail you sent to which I was really replying,
> > > > apologies.
> > > >  Now regarding home link registration, what is the mechanism MCoA draft
> > > > uses? Ryuji mentioned some H bit but I read the draft and couldn't confirm
> > > > it.
> > > >
> > > >  My suggestion was building on this, i.e. I suggested that whatever you
> > > > came up with can be moved to 3775bis so that other people would not have to
> > > > make normative references to your draft.
> > > >
> > > > That's all.
> > > >
> > > > Regards,
> > > >
> > > > Behcet
> > > >
> > > > ________________________________
> > > > From: George Tsirtsis <[email-masked]>
> > > > To: Vijay Devarapalli <[email-masked]>
> > > > Cc: Behcet Sarikaya <[email-masked]>; mext <[email-masked]>
> > > > Sent: Tuesday, April 21, 2009 2:14:55 PM
> > > > Subject: Re: [MEXT] [Fwd: I-D Action:draft-ietf-monami6-multiplecoa-13.txt]
> > > >
> > > > ....also wrt the home link registration, I do not think what you
> > > > suggest is necessary.
> > > >
> > > > As far as I see the other documents are informational, and they do not
> > > > yet have a formal standing in the WG. If and when they do, as
> > > > Informational documents,  they should not require normative changes to
> > > > anything. They should make sure what they describe (mostly
> > > > implementation options in this case) are compatible not only with
> > > > RFC3775 but also with extensions to it, including Flow Bindings. .
> > > >
> > > >
> > > > Regards
> > > > George
> > > >
> > > > On Tue, Apr 21, 2009 at 7:58 PM, Vijay Devarapalli <[email-masked]>
> > > > wrote:
> > > >> Behcet,
> > > >>
> > > >> Behcet Sarikaya wrote:
> > > >>>
> > > >>> *[behcet] Yes but each interface will appear to HA as a different device
> > > >>> and HA needs to assign a different HoA. Then MCoA problem disappears.*
> > > >>> *So George is saying that this is avoided by some virtual interfaces so
> > > >>> that HA does not see each interface separately. *
> > > >>> *Is this explained anywhere in the draft?*
> > > >>> *If yes then I am OK.*
> > > >>
> > > >> The home agent does not care about the multiple interfaces on the mobile
> > > >> node. It only sees the mobile node as one entity and allocates a home
> > > >> address to it. The multiple care-of addresses that the mobile node has
> > > >> will
> > > >> be used by the home agent as tunnel end points. That is all. So there is
> > > >> no
> > > >> issue.
> > > >>
> > > >> Vijay
> > > >>
> > > >>>  >  Also I have a question to Ryuji: does this draft send a
> > > >>> non-deregistration BU at the home link? If yes, is he familiar with the
> > > >>> discussion going on on this subject? This is another point of confusion
> > > >>> for
> > > >>> me.
> > > >>>
> > > >>> This has been discussed for a long time in MEXT.
> > > >>> who is familiar with which discussions? I don't know your concern here.
> > > >>>  *[behcet] So your answer is yes the draft sends a non-deregistration BU
> > > >>> (kind of bulk registration) at the home link.*
> > > >>> *The discussion I mentioned was related to
> > > >>> draft-premec-mext-extended-home-link. This draft also sends
> > > >>> non-deregistration BU at the home link. So does a few more drafts like
> > > >>> **draft-devarapalli-mext-mipv6-home-link.*
> > > >>>
> > > >>> **
> > > >>> *[behcet] You mentioned some bit is set but I could not understand which.
> > > >>> One idea is since so many drafts need this, why not factor this out and
> > > >>> define whatever the mechanism to enable sending non-deregistration BU in
> > > >>> 3775bis. What do you think about that?*
> > > >>>
> > > >>> **
> > > >>>
> > > >>>  >  Sorry if I am too  much confused
> > > >>>  > Please don't get me wrong, I am not trying to slow down the progress
> > > >>> of
> > > >>> this document..
> > > >>>
> > > >>> sure, but please explain your issue more precisely.
> > > >>>
> > > >>> thanks!
> > > >>> ryuji
> > > >>>
> > > >>>  >
> > > >>>  > Regards,
> > > >>>  >
> > > >>>  > Behcet
> > > >>>  > From: marcelo bagnulo braun <[email-masked]
> > > >>> <mailto:[email-masked]>>
> > > >>>  > To: mext <mext@ietf..org <mailto:[email-masked]>>; Julien Laganier
> > > >>> <julien.laganier.ietf@googlemail..com
> > > >>> <mailto:[email-masked]>>; Jari Arkko
> > > >>> <[email-masked] <mailto:[email-masked]>>
> > > >>>  > Sent: Tuesday, April 21, 2009 11:03:05 AM
> > > >>>  > Subject: [MEXT] [Fwd: I-D
> > > >>> Action:draft-ietf-monami6-multiplecoa-13.txt]
> > > >>>  >
> > > >>>  > We have this new version of the MCOA document that addresses the
> > > >>> comments received, including IESG review comments..
> > > >>>  > To the best of my knowledge, the IESG is ok with the doc and ready for
> > > >>> publication..
> > > >>>  > I am planning to ask our AD to move forward in a week or so, so, if
> > > >>> you
> > > >>> have comments on the document please provide them before the 1st of may.
> > > >>>  >
> > > >>>  > Regards, marcelo
> > > >>>  > (mcoa doc shepherd)
> > > >>>  >
> > > >>>  > -------- Mensaje original --------
> > > >>>  > Asunto:    [MEXT] I-D Action:draft-ietf-monami6-multiplecoa-13.txt
> > > >>>  > Fecha:    Mon, 20 Apr 2009 08:30:01 -0700 (PDT)
> > > >>>  > De:    [email-masked] <mailto:[email-masked]>
> > > >>>  > Para:    [email-masked] <mailto:[email-masked]>
> > > >>>  > CC:    [email-masked] <mailto:[email-masked]>
> > > >>>  >
> > > >>>  >
> > > >>>  >
> > > >>>  > A New Internet-Draft is available from the on-line Internet-Drafts
> > > >>> directories.
> > > >>>  > This draft is a work item of the Mobility EXTensions for IPv6 Working
> > > >>> Group of the IETF.
> > > >>>  >
> > > >>>  >
> > > >>>  >    Title          : Multiple Care-of Addresses Registration
> > > >>>  >    Author(s)      : R. Wakikawa, et al.
> > > >>>  >    Filename        : draft-ietf-monami6-multiplecoa-13..txt
> > > >>>  >    Pages          : 44
> > > >>>  >    Date            : 2009-04-20
> > > >>>  >
> > > >>>  > According to the current Mobile IPv6 specification, a mobile node may
> > > >>>  > have several care-of addresses, but only one, called the primary
> > > >>>  > care-of address, that can be registered with its home agent and the
> > > >>>  > correspondent nodes.  However, for matters of cost, bandwidth, delay,
> > > >>>  > etc, it is useful for the mobile node to get Internet access through
> > > >>>  > multiple accesses simultaneously, in which case the mobile node would
> > > >>>  > be configured with multiple active IPv6 care-of addresses..  This
> > > >>>  > document proposes extensions to the Mobile IPv6 protocol to register
> > > >>>  > and use multiple care-of addresses.  The extensions proposed in this
> > > >>>  > document can be used by Mobile Routers using the NEMO (Network
> > > >>>  > Mobility) Basic Support protocol as well.
> > > >>>  >
> > > >>>  > A URL for this Internet-Draft is:
> > > >>>  >
> > > >>> http://www.ietf.org/internet-drafts/draft-ietf-monami6-multiplecoa-13.txt
> > > >>>  >
> > > >>>  > Internet-Drafts are also available by anonymous FTP at:
> > > >>>  > ftp://ftp.ietf.org/internet-drafts/
> > > >>>  >
> > > >>>  > Below is the data which will enable a MIME compliant mail reader
> > > >>>  > implementation to automatically retrieve the ASCII version of the
> > > >>>  > Internet-Draft.
> > > >>>  >
> > > >>>  >
> > > >>>  >
> > > >>>  > _______________________________________________
> > > >>>  > MEXT mailing list
> > > >>>  > [email-masked] <mailto:[email-masked]>
> > > >>>  > https://www.ietf.org/mailman/listinfo/mext
> > > >>>
> > > >>>
> > > >>>
> > > >>> ------------------------------------------------------------------------
> > > >>>
> > > >>> _______________________________________________
> > > >>> MEXT mailing list
> > > >>> [email-masked]
> > > >>> https://www.ietf.org/mailman/listinfo/mext
> > > >>
> > > >> _______________________________________________
> > > >> MEXT mailing list
> > > >> [email-masked]
> > > >> https://www.ietf.org/mailman/listinfo/mext
> > > >>
> > > >
> > > >
> > >
> > > _______________________________________________
> > > MEXT mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/mext
> >
> >
> >
> 
> 
>

---

From: Ryuji Wakikawa <[email-masked]>
Date: Tue, 5 May 2009 12:21:57 -0700

Hi Behcet,

Do you mean we need more general flag across different extensions?  
(ex. defining flag in BU?)
We need H flag for the purpose of MCoA. This is why we have this flag  
in our mobility option.

regards,
ryuji

On 2009/05/05, at 11:59, Behcet Sarikaya wrote:

> Hi Ryuji,
>   It seems that MCoA draft uses the H flag defined in the base spec.  
> I don't think that is the right flag to use for the purpose of  
> sending a non-deregistration BU at the home link.
>
> Regards,
>
> Behcet
> > I am OK with it. But I don't understand why the only right place  
> is your draft. My idea is that the right place for such a thing is  
> 3775bis as this would avoid people with drafts not related to MCoA  
> having to refer to MCoA draft.
> >
> > Regards,
> >
> > Behcet
> >
> > >  I checked your draft. Again, I could not understand how you are  
> sending a registration BU at the home link as only an O-flag is  
> defined in your draft which is used for something else.
> >
> > Please see section 5.6.3
> >
> > >  As I mentioned to you, we discussed this related to draft- 
> premec-homelink and it seems like HA will reject such a BU unless  
> something is done, I thought you were familiar with the discussions  
> as it relates to your draft too. I am surprised.
> >
> > > > [behcet] Why not? If it is needed in so many instances, that  
> qualifies it to become a base protocol feature, at least to me.
> > >
> > > > > ...also wrt the home link registration, I do not think what  
> you
> > > > > suggest is necessary.
> > > > >
> > > > > On Tue, Apr 21, 2009 at 7:58 PM, Vijay Devarapalli <[email-masked] 
> >
> > > > > wrote:
> > > > >> Behcet,
> > > > >>
> > > > >> Behcet Sarikaya wrote:
> > > > >>>
> > > > >>>  >  Also I have a question to Ryuji: does this draft send a
> > > > >>>  >  Sorry if I am too  much confused
> > > > >>>  > Please don't get me wrong, I am not trying to slow down  
> the progress
> > > > >>> of
> > > > >>> this document..
> > > > >>>
> > > > >>>  > From: marcelo bagnulo braun <[email-masked]
> > > > >>>  > To: mext <mext@ietf..org <mailto:[email-masked]>>;  
> Julien Laganier
> > > > >>>  > Sent: Tuesday, April 21, 2009 11:03:05 AM
> > > > >>>  > Subject: [MEXT] [Fwd: I-D
> > > > >>>  > We have this new version of the MCOA document that  
> addresses the
> > > > >>>  > To the best of my knowledge, the IESG is ok with the  
> doc and ready for
> > > > >>> publication..
> > > > >>>  > I am planning to ask our AD to move forward in a week  
> or so, so, if
> > > > >>> you
> > > > >>>  > Regards, marcelo
> > > > >>>  > (mcoa doc shepherd)
> > > > >>>  > -------- Mensaje original --------
> > > > >>>  > Asunto:    [MEXT] I-D Action:draft-ietf-monami6- 
> multiplecoa-13.txt
> > > > >>>  > Fecha:    Mon, 20 Apr 2009 08:30:01 -0700 (PDT)
> > > > >>>  > De:    [email-masked] <mailto:[email-masked] 
> >
> > > > >>>  > Para:    [email-masked] <mailto:[email-masked] 
> >
> > > > >>>  > CC:    [email-masked] <mailto:[email-masked]>
> > > > >>>  >
> > > > >>>  >
> > > > >>>  >
> > > > >>>  > A New Internet-Draft is available from the on-line  
> Internet-Drafts
> > > > >>> directories.
> > > > >>>  > This draft is a work item of the Mobility EXTensions  
> for IPv6 Working
> > > > >>> Group of the IETF.
> > > > >>>  >
> > > > >>>  >
> > > > >>>  >    Title          : Multiple Care-of Addresses  
> Registration
> > > > >>>  >    Author(s)      : R. Wakikawa, et al.
> > > > >>>  >    Filename        : draft-ietf-monami6- 
> multiplecoa-13..txt
> > > > >>>  >    Pages          : 44
> > > > >>>  >    Date            : 2009-04-20
> > > > >>>  >
> > > > >>>  > According to the current Mobile IPv6 specification, a  
> mobile node may
> > > > >>>  > have several care-of addresses, but only one, called  
> the primary
> > > > >>>  > care-of address, that can be registered with its home  
> agent and the
> > > > >>>  > correspondent nodes.  However, for matters of cost,  
> bandwidth, delay,
> > > > >>>  > etc, it is useful for the mobile node to get Internet  
> access through
> > > > >>>  > multiple accesses simultaneously, in which case the  
> mobile node would
> > > > >>>  > be configured with multiple active IPv6 care-of  
> addresses..  This
> > > > >>>  > document proposes extensions to the Mobile IPv6  
> protocol to register
> > > > >>>  > and use multiple care-of addresses.  The extensions  
> proposed in this
> > > > >>>  > document can be used by Mobile Routers using the NEMO  
> (Network
> > > > >>>  > Mobility) Basic Support protocol as well.
> > > > >>>  >
> > > > >>>  > A URL for this Internet-Draft is:
> > > > >>>  >
> > > > >>>  > Internet-Drafts are also available by anonymous FTP at:
> > > > >>>  > ftp://ftp.ietf.org/internet-drafts/
> > > > >>>  >
> > > > >>>  > Below is the data which will enable a MIME compliant  
> mail reader
> > > > >>>  > implementation to automatically retrieve the ASCII  
> version of the
> > > > >>>  > Internet-Draft.
> > > > >>>  >
> > > > >>>  >
> > > > >>>  >
> > > > >>>  > [email-masked] <mailto:[email-masked]>
> > > > >> MEXT@ietf..org

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 5 May 2009 12:53:37 -0700 (PDT)

Hi Ryuji,
Pls see inline.

Regards,

Behcet

From: Ryuji Wakikawa <[email-masked]>
To: Behcet Sarikaya <[email-masked]>
Cc: mext <[email-masked]>
Sent: Tuesday, May 5, 2009 2:21:57 PM
Subject: Re: [MEXT] [Fwd: I-D Action:draft-ietf-monami6-multiplecoa-13.txt]

[behcet] Yes, I think so. That's why I suggested RFC 3775bis.

We need H flag for the purpose of MCoA. This is why we have this flag in our mobility option.

[behcet] In Sec. 4.2 you show 10 flags but the only new one is the O flag. I think this is quite confusing. I suggest showing only the new flags. Otherwise it can be misunderstood like I first thought all 10 flags were being defined in MCoA draft.

regards,
ryuji

On 2009/05/05, at 11:59, Behcet Sarikaya wrote:

> > > > > ...also wrt the home link registration, I do not think what you
> > > > > suggest is necessary.
> > > > >

Hi Behcet,

Do you mean we need more general flag across different extensions? (ex. defining flag in BU?)